Skip to main content
POST
/
generate
/
video
/
minimax
/
hailuo-2.3
Hailuo 2.3
curl --request POST \
  --url https://api.krea.ai/generate/video/minimax/hailuo-2.3 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "Hidden valley with petal-covered houses, fae folk festivities, channeling whimsical anime vibes."
}
'
{
  "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "completed_at": null,
  "result": null,
  "error": {
    "code": "<string>",
    "message": "<string>"
  }
}

Pricing

Fixed API prices in USD.
ResolutionDurationPrice
768p6s$0.294
1080p10s$0.5145
1080p6s$0.5145
768p10s$0.588
These aliases are accepted for compatibility only and are not shown in the request schema.
DeprecatedUse insteadAccepted until
startImagestart_image2026-06-19
expandPromptexpand_prompt2026-06-19
endImageend_image2026-06-19

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Webhook-URL
string<uri>

URL to receive a POST request when the job completes. The webhook will receive the job data including results.

Body

application/json
prompt
string
required
start_image
string<uri>
expand_prompt
boolean
default:true
end_image
string<uri>
resolution
enum<string>
default:768p
Available options:
768p,
1080p
duration
default:6

Response

The resulting job data. This will be returned in a pending state until the job is completed. See /jobs/{id} for retrieving the results.

job_id
string<uuid>
required
status
enum<string>
required
Available options:
backlogged,
queued,
scheduled,
processing,
sampling,
intermediate-complete,
completed,
failed,
cancelled
created_at
string<date-time>
required
completed_at
null
required
result
null
required
error
object